Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.visitor
Class VMReferenceMungeVisitor

    java.lang.Object
      |
      +--org.apache.velocity.runtime.visitor.BaseVisitor
            |
            +--org.apache.velocity.runtime.visitor.VMReferenceMungeVisitor

All Implemented Interfaces:
  ParserVisitor

public class VMReferenceMungeVisitor
extends BaseVisitor

This class is a visitor used by the VM proxy to change the literal representation of a reference in a VM. The reason is to preserve the 'render literal if null' behavior w/o making the VMProxy stuff more complicated than it is already.

Version:
  $Id: VMReferenceMungeVisitor.java,v 1.1 2001/06/19 03:31:28 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary
`private java.util.Map` | `argmap` Map containing VM arg to instance-use reference Passed in with CTOR

Fields inherited from class org.apache.velocity.runtime.visitor.BaseVisitor
`context, writer`

Constructor Summary
`VMReferenceMungeVisitor(java.util.Map map)` CTOR - takes a map of args to reference

Method Summary
`java.lang.Object` | `visit(ASTReference node, java.lang.Object data)` Visitor method - if the literal is right, will set the literal in the ASTReference node

Methods inherited from class org.apache.velocity.runtime.visitor.BaseVisitor
`setContext, setWriter, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### argmap

    private java.util.Map argmap

  Map containing VM arg to instance-use reference Passed in with CTOR

Constructor Detail

### VMReferenceMungeVisitor

    public VMReferenceMungeVisitor(java.util.Map map)

  CTOR - takes a map of args to reference

Method Detail

### visit

    public java.lang.Object visit(ASTReference node,
                                  java.lang.Object data)

  Visitor method - if the literal is right, will set the literal in the ASTReference node
  Overrides:
    `visit` in class `BaseVisitor`
  Parameters:
    `node` - ASTReference to work on
    `data` - Object to pass down from caller

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.